package com.hzya.frame.grpU8.nxproof.oerdjjsfs.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.oerdjjsfs.dao.IOerDjjsfsDao;
import com.hzya.frame.grpU8.nxproof.oerdjjsfs.entity.OerDjjsfsEntity;
import org.springframework.stereotype.Repository;

/**
 * @Author:hecan
 * @Description:
 * @params:
 * @return:
 * @Date: 2023/6/19 14:53
 */
@Repository(value = "oerDjjsfsDao")
public class OerDjjsfsDaoImpl extends MybatisGenericDao<OerDjjsfsEntity,String> implements IOerDjjsfsDao {
    @DS("#entity.dataSourceCode")
    @Override
    public Integer deleteData(OerDjjsfsEntity entity) {
        Integer o = super.delete(getSqlIdPrifx() + "OerDjjsfsEntity_delete_delMlid", entity);
        return o;
    }
    @DS("#entity.dataSourceCode")
    @Override
    public Integer saveData(OerDjjsfsEntity entity) {
        Integer o = super.insert(getSqlIdPrifx() + "OerDjjsfsEntity_insert", entity);
        return o;
    }
}
